// You can import API functions like this from D3.js.
import { select } from 'd3';

const svg = select('svg');

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';
console.log("gz")

// This line uses D3 to set the text of the message div.
select('#message').text(message);


console.log(window.innerHeight)
console.log(window.innerWidth)

const width = +svg.attr('width');
const height = +svg.attr('height');

console.log(height);
console.log(width);

svg.append('circle')
.attr('cx', width/2)
.attr('cy', height/2)
.attr('r', 50)
.attr('class','cercle1')
.attr('fill', 'green')
.on('mouseover', function() {d3.select(this).style('fill','yellow');})
.on('mouseout', function() {d3.select(this).style('fill','green');})

svg.append('circle')
.attr('cx', width/4)
.attr('cy', height/2)
.attr('r', 50)
.attr('class','cercle2')
.attr('fill', 'pink');

svg.append('circle')
.attr('cx', width*3/4)
.attr('cy', height/2)
.attr('r', 50)
.attr('class','cercle3')
.attr('fill', 'blue');

